Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Dial Class Reference
Inheritance diagram for Dial:

## Public Member Functions
| __init__ (self, parent=None, **kw)
| addValuatorMenuEntries (self)
| addValuatorPropertiesToDialog (self)
| createValuator (self)
| packValuator (self)
| setBase (self)
| setDelta (self)
| setRollover (self)
| setSnap (self)
Public Member Functions inherited from Valuator
| __init__ (self, parent=None, **kw)
| addPropertyToDialog (self, property, pDict)
| get (self)
| mouseReset (self, event)
| reset (self)
| set (self, value, fCommand=1)
| setEntry (self, value, fCommand=1)
| setEntryFormat (self)
| setLabel (self)
| setState (self)
| validateEntryInput (self, event)
| zero (self)

## Protected Member Functions
| _setRollover (self)
| _setSnap (self)
Protected Member Functions inherited from Valuator
| _mouseDown (self)
| _mouseUp (self)
| _popupPropertiesDialog (self)
| _popupValuatorMenu (self, event)
| _postCallback (self)
| _preCallback (self)

## Protected Attributes
| _fRollover = IntVar()
| _fSnap = IntVar()
| _valuator
Protected Attributes inherited from Valuator
| _label

## Additional Inherited Members
Public Attributes inherited from Valuator
| adjustedValue = value
str | entryFormat = "%." + "%df" % self['numDigits']
int | fInit = 1
| propertyDict
Static Public Attributes inherited from Valuator
int | deadband = 5
float | sfBase = 3.0
int | sfDist = 7

## Detailed Description

    Valuator widget which includes an angle dial and an entry for setting
    floating point values

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent = None,
|  | ** | kw )

## Member Function Documentation

## ◆ _setRollover()

_setRollover | ( |  | self | ) |
| protected

    Menu command to turn Dial rollover on/off (i.e. does value accumulate
    every time you complete a revolution of the dial?)

## ◆ _setSnap()

_setSnap | ( |  | self | ) |
| protected

     Menu command to turn Dial angle snap on/off

## ◆ addValuatorMenuEntries()

addValuatorMenuEntries | ( |  | self | ) |

     Function used by subclass to add menu entries to popup menu

Reimplemented from Valuator.

## ◆ addValuatorPropertiesToDialog()

addValuatorPropertiesToDialog | ( |  | self | ) |

     Function used by subclass to add properties to property dialog

Reimplemented from Valuator.

## ◆ createValuator()

createValuator | ( |  | self | ) |

     Function used by subclass to create valuator geometry

Reimplemented from Valuator.

## ◆ packValuator()

packValuator | ( |  | self | ) |

     Function used by subclass to pack widget

Reimplemented from Valuator.

## ◆ setBase()

setBase | ( |  | self | ) |

     Set Dial base value: value = base + delta * numRevs

## ◆ setDelta()

setDelta | ( |  | self | ) |

     Set Dial delta value: value = base + delta * numRevs

## ◆ setRollover()

setRollover | ( |  | self | ) |

     Turn Dial rollover (accumulation of a sum) on/off

## ◆ setSnap()

setSnap | ( |  | self | ) |

     Turn Dial angle snap on/off

## Member Data Documentation

## ◆ _fRollover

_fRollover = IntVar()
| protected

## ◆ _fSnap

_fSnap = IntVar()
| protected

## ◆ _valuator

_valuator
| protected

Initial value:
= self.createcomponent(
'valuator',
(('dial', 'valuator'),),
None,
DialWidget,
(self.interior(),),
style = self['style'],
command = self.setEntry,
value = self['value'])